// Последнее обновление 2017-05-31 by Phisik
// В рамках разгрузки кода раскидываем функции по файлам
// Здесь обработка всяких страшилок

#include "configuration.h"
#include "declarations.h"

void ReadAlarm()
{
  if (USE_ALARM_UROVEN)
  {
    if (UROVEN_ALARM > 1) {  
		// Считаваем значение аналоговое  датчика
		U_UROVEN=analogRead(PIN_ALARM_UROVEN);
	} else {
		// Считаваем значение цифрового датчика
		// Датчики влажности инверсные, то есть при не сработавшем состоянии у них на выходе 1, при сработке 0
		U_UROVEN=!digitalRead(PIN_ALARM_UROVEN); 
	}

    // Предупреждение по уровню генерируем пока не произошла сработка уроня
    // Если произошла, то уже смысла анализировать нет
    if (U_UROVEN>=UROVEN_ALARM  && flAlarmUroven==0)
    {
      CountAlarmUroven++;

      if (CountAlarmUroven>COUNT_ALARM )
      {
        DispDopInfo=1;
        // По прошествии минуты устанавливаем флаг сработки.
        if (CountAlarmUroven>COUNT_ALARM_UROVEN || ((IspReg==117) && CountAlarmUroven))
        {
          flAlarmUroven=1;
          flNeedAnalyse=1;
          DispDopInfo=0;
        }
      } 
    }
    else 
    {
      if (DispDopInfo==1)
      { 
        DispDopInfo=0;
      }
      CountAlarmUroven=0;
    }
   }
  }
