// Updated on 2017-05-29 by lom
// Все пины теперь в одном месте, кроме нестандартных версий

// Контроль нуля идет на 1-е прерывание (это pin 3)
// Управление симистором для фазового регулятора мощности реализовано через PIN 36
// АЦП от трансформатора подключен на pin А2
// Датчики ds18b20 сидят на 37 пине.
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Аналоговые выходы
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#define PIN_LCD_KEYPAD       A0    		// Сюда подключаем кнопки от стандартного shield-a
#define PIN_READU            A2    		// Аналоговый Пин для чтения напряжения 
#define PIN_READI            A4		  	// Пин для чтения тока 
#define PIN_ALARM_UROVEN     A6        // Пин, на котором сидит датчик уровня в приемной емкости (да какой датчик, два луженых провода).

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Цифровые выходы
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#define PIN_ZERO_DETECT     3     // Детектор нуля
#define PIN_SOUND           11    // На 11 пине сидит спикер от компа (мощная штука, 15 ом, потребляет 300ма, поэтому ей пока не злоупотребляю, может заменить ее в дальнейшем на Пьезо?)
#define PIN_KLP_BEG         22	  // 22-27  // Начальный пин для управления клапанами 
#define PIN_TERMOSTAT_ON    28    // Пин термостата, который включается при превышении температуры 
#define PIN_TERMOSTAT_OFF   29    // Пин термостата, который отключается при превышении температуры 
#define PIN_RZG_ON          30    // Пин для включения режима разгона (может работать и без него)
#define PIN_ALL_OFF         31    // Пин, при подаче напряжения на который вырубаеся вообще все (например выключается УЗО) (может работать и без него)
#define PIN_TRIAC           36    // 36    // Управление симистором реализовано через PIN 36
#define PIN_DS18B20         37    // 37    // Тут у нас подключены датчики

    
